# Post Detail Block

Blog post detail view with featured image header, meta info (date, read time, views), rich content area, tags, author bio card, and share/favorite buttons. Responsive typography and reading-optimized layout.

## Files

| Target | Type |
|--------|------|
| `$modules$/post-detail-block/index.ts` | index |
| `$modules$/post-detail-block/post-detail-block.tsx` | block |
| `$modules$/post-detail-block/lang/en.json` | lang |
| `$modules$/post-detail-block/lang/tr.json` | lang |
| `$modules$/post-detail-block/lang/pt.json` | lang |

## Exports

**Components/Functions:** `PostDetailBlock`

```typescript
import { PostDetailBlock } from '@/modules/post-detail-block';
```

## Usage

```
import { PostDetailBlock } from '@/modules/post-detail-block';

<PostDetailBlock post={post} />

• Uses useBlog() from blog-core (Zustand)
• Sections: header, content, tags, author, share
• Props: post (Post type from blog-core)
```

## Dependencies

This component requires:
- `blog-core`
